import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;
import java.awt.Color;

/**
 * Un monde où un ours mange des feuilles.
 * 
 * @author Bernard Gisin
 * @version 0.1
 */

public class MangeWorld extends World
{
   public int nMaxFeuilles = 5;
   cOurs ours = null;
   
    /**
     * Crée le monde de 8 x 9 cellules.
     * La taille d'une cellule est de 60x60 pixels
     */
    public MangeWorld() 
    {
        super(8, 8, 60);        
        setBackground("cell.jpg");
        
        populate();
    }

    public void populate()
    {
        int nn = 0;
        int nX = 0; // coordonnées d'où les feuilles sont placées
        int nY = 0;
        Leaf feuille = null;

        // Place les feuilles sur la grille
        Random rand = new Random(); // initialise le générateur de nombres aléatoires.
        rand.setSeed(18); // pour avoir toujours le même placement des feuilles
    
        if (ours != null) removeObject(ours);
        
        ours = new cOurs();
        addObject(ours, 3, 3);
        
        nn = 1;
        while (nn <= nMaxFeuilles) {
            nX = rand.nextInt(8); // coord. pour placer une nouvelle feuille
            nY = rand.nextInt(8);
            
            feuille = new Leaf();
            addObject(feuille, nX, nY);
            nn++;
        }
    }
    
}